using Godot;
using System;
using System.Dynamic;

namespace SessionZeroApp;

public partial class CharactersContentPage : ContentPageBase
{
    public override string PageName { get; protected set; } = "Characters";

    [Export] private Button _backButton;
    [Export] private CustomListView _listView;

    public override void _Ready()
    {
        SetupConnections();
    }

    private void SetupConnections()
    {
        _backButton.Pressed += () => { AppManager.Instance.LoadPage("Home"); };
    }
}
